/* You can add global styles to this file, and also import other style files */

html {
    height: 100%;
    min-height: 100%;
}

body {
    height: 100%;
    /* font-family: 'Open Sans', sans-serif; */
    font-size: 16px;
    color: #575962;
}

ul {
    list-style: none;
}

h1, h2, h3, h4, h5, h6, p, ul, li {
    margin: 0;
    padding: 0;
}

input, select, textarea, button {
    outline: none;
}

select{
    cursor: pointer;
}

button.no-style {
    background: transparent;
    border: 0;
    color: #337ab7;
}

button.no-style.red {
    color: #cc3e3e;
}

.main-color {
    color: #575962!important;
}

a, a:hover, a:link, a:focus, a:visited {
    text-decoration: none;
}

.parent {
    height: 100%;
}

.breadcrumbs {
    margin-left: 92px;
    padding-left: 15px;
    list-style: none;
}

.breadcrumbs li {
    display: inline-block;
    margin-right: 10px;
    font-size: 12px;
    margin-bottom: 20px;
}

.breadcrumbs a {
    color: #337ab7;
    cursor: pointer;
}

.breadcrumbs li:after {
    display: inline-block;
    margin-left: 10px;
    content: '/';
}

.breadcrumbs li:last-child:after {
    display: none;
}

#container {
    padding: 0 15px;
}

.myCustomButton {
    font-size: 14px;
    -webkit-box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .19)!important;
    -moz-box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .19)!important;
    box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .19)!important;
    color: #fff!important;
    border-radius: 60px;
    padding: 10px 25px;
    background-color: #3f51b5;
    border: 1px solid #3f51b5;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    cursor: pointer;
}

.myCustomButton.help {
    background-color: rgb(38, 52, 75);
    -webkit-box-shadow: 0 5px 10px 2px rgb(38, 52, 75, .36)!important;
    -moz-box-shadow: 0 5px 10px 2px rgb(38, 52, 75, .36)!important;
    box-shadow: 0 5px 10px 2px rgb(38, 52, 75, .36)!important;
    border-color: rgb(38, 40, 75);
}

.myCustomButton.help:hover {
    -webkit-box-shadow: 0 5px 10px 2px rgb(38, 52, 75, 0.36)!important;
    -moz-box-shadow: 0 5px 10px 2px rgb(38, 52, 75, 0.36)!important;
    box-shadow: 0 5px 10px 2px rgb(38, 52, 75, 0.36)!important;
    background-color: rgb(38, 40, 75);
    border-color: rgb(38, 40, 75);
}

.myCustomButton.primary {
    background-color: #ed6b75;
    border-color: #ea5460;
    -webkit-box-shadow: 0 5px 10px 2px rgba(57, 50, 51, 0.15)!important;
    -moz-box-shadow: 0 5px 10px 2px rgba(57, 50, 51, 0.15)!important;
    box-shadow: 0 5px 10px 2px rgba(57, 50, 51, 0.15)!important;
}

.myCustomButton:hover {
    -webkit-box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .36)!important;
    -moz-box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .36)!important;
    box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .36)!important;
    background-color: #6981d1;
    border-color: #6981d1;
}

.myCustomButton.primary:hover {
    background-color: #ec7b75;
    border-color: #ec7460;
}

.mb20 {
    margin-bottom: 20px;
}

input[type="text"], input[type="password"],input[type="date"], select, textarea {
    border: 0;
    background: 0 0;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    color: #575962;
    background-color: #f4f5f8;
    padding: 10px 20px;
    border-radius: 20px;
    margin-bottom: 10px;
    min-width: 220px;
}

input.disabled, input[disabled] {
    background: #b3acac;
    color: #fff;
    cursor: not-allowed!important;
}

input.min {
    width: 100px;
    text-align: center;
}

.input-label {
    color: #575962;
    font-style: italic;
    padding: 8px 0 0;
}

.mat-tab-header {
    z-index: 0;
}

p.min {
    display: inline-block;
    width: 220px;
    color: #b3acac;
    margin-bottom: 15px;
}

mat-form-field.custom .mat-input-wrapper {
    border: 0;
    background: 0 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #575962;
    background-color: #f4f5f8;
    padding: 5px 0 5px 20px;
    border-radius: 20px;
    margin-bottom: 10px;
    min-width: 220px;
    border-bottom: 0;
}

mat-form-field.custom .mat-input-underline {
    display: none;
}

mat-form-field.custom .mat-input-infix {
    margin: 0;
    border: 0;
}

.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
    display: none!important;
}

mat-form-field.custom .mat-select-arrow {
    width: 0;
    height: 0;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    border-top: 6px solid;
    margin: 0 4px;
}

.my-card {
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, .2), 0 8px 10px 1px rgba(0, 0, 0, .14), 0 3px 14px 2px rgba(0, 0, 0, .12);
    background-color: #fff;
    padding: 0 15px 20px;
    margin-bottom: 20px;
    margin-left: 90px;
}

.my-card-header {
    margin-bottom: 20px;
    border-bottom: 1px solid #ebedf2;
    padding: 20px 0 15px;
}

.my-card-title {
    font-weight: bold;
    text-transform: uppercase;
    font-size: 20px;
}

.button-wrapper {
    padding-top: 10px;
}

.button-blue-style {
    font-size: 14px;
    -webkit-box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .19)!important;
    -moz-box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .19)!important;
    box-shadow: 0 5px 10px 2px rgba(0, 197, 220, .19)!important;
    color: #fff!important;
    border-radius: 0;
    padding: 10px 25px;
    background-color: #00c5dc;
    border: 1px solid #00c5dc;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    cursor: pointer;
}

.button-blue-style:hover {
    background-color: #ec7b75;
    border-color: #ec7460;
}

.my-label {
    padding: 1px 10px;
    font-size: 12px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    border-radius: 0;
    line-height: 20px;
    min-height: 20px;
    min-width: 75px;
    vertical-align: middle;
    text-align: center;
    display: inline-block;
    color: #fff;
}

.my-label.bordred {
    border-radius: 10px;
}

.my-label.info {
    background-color: #36a3f7;
}

.my-label.success {
    background-color: #34bfa3;
}

.my-label.attention {
    background-color: #ffb822;
}

.my-label.danger {
    background-color: #f4516c;
}

table.bordered td, table.bordered th {
    border: 2px solid #e7ecf1!important;
    padding: 10px 8px !important;
}

table.middle td {
    vertical-align: middle!important;
}

table.min {
    font-size: 12px;
}

.input-style {
    border: 2px solid #e7ecf1;
    padding: 10px 8px;
    min-height: 42px;
    position: relative;
}

.input-style:after {
    display: block;
    position: absolute;
    height: 100%;
    width: 50px;
    text-align: center;
    top: 0;
    color: #fff;
    padding-top: 8px;
}

.input-style.full:after {
    content: 'OK';
    background-color: #34bfa3;
    right: 0;
}

.input-style.empty:after {
    content: 'KO';
    background-color: #f4516c;
    left: 0;
}

.my-tab-style .mat-tab-label {
    background: #39424a;
    color: #97a4af;
    font-weight: bold;
}

.my-tab-style .mat-tab-label-active {
    background: #fff!important;
    color: #39424a;
}

.mat-ink-bar {
    background-color: #00c5dc!important;
}

.mat-tab-list {
    display: flex;
    justify-content: flex-end;
}

.mat-simple .mat-tab-list {
    justify-content: flex-start;
}

.spinner {
    display: block;
    position: relative;
    width: 64px;
    height: 64px;
    margin: 0 auto;
}

.spinner[hidden] {
    display: none;
}

.spinner:after {
    content: " ";
    display: block;
    border-radius: 50%;
    width: 0;
    height: 0;
    margin: 6px;
    box-sizing: border-box;
    border: 26px solid #00c5dc;
    border-color: #00c5dc transparent #00c5dc transparent;
    animation: spinner 1.2s infinite;
}

@keyframes spinner {
    0% {
        transform: rotate(0);
        animation-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
    }
    50% {
        transform: rotate(900deg);
        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    }
    100% {
        transform: rotate(1800deg);
    }
}

button[disabled] {
    background: transparent!important;
    cursor: not-allowed;
    border-color: #e9ecef!important;
    color: #989ea5!important;
}

.myError {
    list-style: circle;
    color: #ce6c6c;
}

.myError li:last-child {
    margin-bottom: 20px;
}

.hasClick {
    cursor: pointer;
}

.modal-header .close {
    margin-top: -17px;
}

.modal-body {
    min-height: 350px;
}

.modal-open {
    overflow: hidden;
}

/* The switch - the box around the slider */

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
    margin-bottom: 0;
}

/* Hide default HTML checkbox */

.switch input {
    display: none;
}

/* The slider */

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: #2196F3;
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.click {
    cursor: pointer;
}

.resultat {
    font-size: 20px;
    font-weight: bold;
    margin: 10px;
}

.mgl-20 {
    margin-left: 20px;
}

.mgr-20 {
    margin-right: 20px;
}
.mgb-0{
    margin-bottom: 0!important;
}

input.search, select.search {
    width: 100%;
    background-color: rgba(244, 245, 248, 0.5);
    min-width: 0;
}

.search-head {
    padding: 15px 15px 0 0;
}

flex {
    display: flex;
}

.flex-between{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.flex-end {
    display: flex;
    justify-content: flex-end;
}

::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #ccc;
    opacity: 1;
    /* Firefox */
}

:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: #ccc;
}

::-ms-input-placeholder {
    /* Microsoft Edge */
    color: #ccc;
}
.big-width{
    width: 100%;
}

.import-button {
    border: 3px solid #e7ecf1;
    border-bottom-width: 2px;
    padding: 10px 8px;
    min-height: 42px;
    position: relative;
    display: block;
    width: 100%;
    text-align: left;
    background: transparent;
}

/* .import-button span{
    position: absolute;
} */

.import-button:after {
    display: block;
    position: absolute;
    height: 100%;
    width: 50px;
    text-align: center;
    top: 0;
    right: 0;
    color: #fff;
    padding-top: 12px;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\f1c3";
}

.import-button.full:after {
    background-color: #34bfa3;
}

.import-button.empty:after {
    background-color: #2753a5;
}

.import-button.error:after {
    background-color: #f4516c;
}

.import-button.now:after {
    background-color: #24413b;
}
.ng-select.ng-select-multiple .ng-select-container.ng-has-value .ng-clear-wrapper{
    z-index: 999;
}

.cdk-overlay-container {
    z-index: 99999999999;
}